Bug 1568647 - backporting libdw based unwind feature
Summary: backporting libdw based unwind feature
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry V. Levin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 01:15 UTC by Masatake YAMATO
Modified: 2018-07-11 19:29 UTC (History)
4 users (show)

Fixed In Version: strace-4.23-1.fc28 strace-4.23-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-04 18:43:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Masatake YAMATO 2018-04-18 01:15:31 UTC
Description of problem:

libdw based unwind feature was introduced to the upstream project.
It reports better results than libunwind based one.
I would like to use libdw based one on Fedora in soon.

The feature is introduced just after releasing 4.22.
So one or two patches are needed.

 * 2713444cb703bc393e57c96d7ca9a45fd2d28cb2
 * ddb5a4ba73a77d4e723722a5dd32edea5efa1335

I'm not sure this request is acceptable or not.
But I decide to ask you here because the feature is so useful.

Comment 1 Dmitry V. Levin 2018-04-18 01:59:07 UTC
If you cannot wait for the next release of strace, I'd rather build a snapshot instead.
I've just submitted a scratch build, it looks good:
https://koji.fedoraproject.org/koji/taskinfo?taskID=26430411

Comment 2 Mark Wielaard 2018-04-18 08:05:44 UTC
I would love to get that snapshot package in f28 if possible.

Comment 3 Masatake YAMATO 2018-04-18 11:01:54 UTC
Dmitry, I tried the snapshot. It works fine.
As Mark wrote, I would like get the snapshot package sa part of f28.

Comment 4 Fedora Update System 2018-07-02 10:34:45 UTC
strace-4.23-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5ebb3b7cfb

Comment 5 Fedora Update System 2018-07-02 10:36:02 UTC
strace-4.23-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d260e3087

Comment 6 Fedora Update System 2018-07-03 14:00:12 UTC
strace-4.23-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5ebb3b7cfb

Comment 7 Fedora Update System 2018-07-03 17:53:16 UTC
strace-4.23-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d260e3087

Comment 8 Fedora Update System 2018-07-04 18:43:36 UTC
strace-4.23-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-07-11 19:29:28 UTC
strace-4.23-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.